<link rel="stylesheet" type="text/css" href="<?php echo base_url(); ?>resources/css/date-css.css" />
<?php
$col1width="185px";
$col2width="245px";
?>
<div class="centering" style="width:30%;margin-top: 1%;">
	<div id='search_detil' style="border: 1px solid #ffffff;">
    <div class="detil" style="padding: 2px;background-color: white;">
		<table id="tableDetilPerkara" style="background: #dedbdb;">
			<col width="40%">
			<col width="60%">
			<tbody>
				<tr>
					<td colspan="3" style='text-align:center;background:#5fb85c;color:#fff;border:2px solid #fff;margin-bottom:10px;font-size: 20px;'>CETAK PERKARA LALULINTAS</td>
				</tr>
				<tr>
					<td>Tanggal Persidangan</td>
					<td style="padding:0px;padding-left:5px;">	
					<input id="tanggal_sidang_tilang" name="tanggal_sidang_tilang" class="datepicker" maxlength="10" placeholder="tgl/bln/tahun" style="color: #000;background: #fff;"></td>
				</tr>
                
				<tr>
					<td colspan="3" style='text-align:center;background:#5fb85c;color:#fff;border:2px solid #fff;margin-bottom:10px;font-size: 20px;'></td>
				</tr>
				
				<tr>
					<td colspan="3" style="background:white;" align="center">
						<input type="button" id='close_form_search_detail' value="Kembali" class="btn">
						<input type="button" id='cetak_perkara_list' value="Cetak" class="btn"></input>
					</td>
				</tr>
			</tbody>
		</table>
	</form>
	</div>
	</div>
</div>

<script type="text/javascript">
	$('#close_form_search_detail').closingFormWin();

    $( function() {
        $('#tanggal_sidang_tilang').datepicker({
            inline: true,
            showOtherMonths: true,
            dateFormat: 'dd/mm/yy',
            dayNamesMin: ['Ming', 'Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab'],
         });
    });

$('#cetak_perkara_list').click(function(event){
		var tanggal_sidang_tilang = $("#tanggal_sidang_tilang").val();	
        var xls = 0;
		var w = window.open('', 'view_laporan');
		$.post('<?php echo base_url()?>add_lalulintas/cetak_register', {
			tanggal_sidang_tilang:tanggal_sidang_tilang,
            xls:xls,
		}, function(response){
			var json = jQuery.parseJSON(response);
			events = '';
			if(json.st==1){
				w.location.href ='<?php echo base_url()?>add_lalulintas/hasil_register';
			}else{
				message_show(json.msg)
			}
		});
	});


    
$('.datepicker').keyup(function(e){
	if( (e.keyCode<8 || e.keyCode>57)){
		return;
	}

    if(e.keyCode != '8'){
    	if(e.target.value.length == 1){
    		if(e.target.value>3){
    			alert('Input Tidak Benar Format, Tanggal tidak boleh lebih dari 30')
    			e.target.value = '';
    		}
    	}

    	if(e.target.value.length == 4 && e.keyCode!='13'){
    		if(e.keyCode!=49 && e.keyCode!=48){
    			alert('Input Tidak Benar Format, Bulan Tidak Boleh dari 12')
    			var val = e.target.value;
    			val = val.substring(0, val.length - 1);
    			e.target.value = val;
    		}
    	}

    	if(e.target.value.length == 5){
    		var val = e.target.value;
    		var bln = val.substr(val.length -2);
    		if(bln>12){
    			alert('Input Tidak Benar Format, Bulan Tidak Boleh dari 12')
    			val = val.substring(0, val.length - 1);
    			e.target.value = val;
    		}
    	}
    	if(e.target.value.length == 7 && e.keyCode!='13'){
    		if( e.keyCode>50 && e.keyCode!=48){
    			alert('Anda Yakin dengan Tahun yang anda masukan?')
    			var val = e.target.value;
    			val = val.substring(0, val.length - 1);
    			e.target.value = val;
    		}
    	}
    	if(e.target.value.length == 10){
			if(isDateValid(e.target.value)==false){
				var val = e.target.value;
    			val = val.substring(0, val.length - 1);
    			e.target.value = val;
			}
		}
        if (e.target.value.length == 2) e.target.value = e.target.value + "/";
        if (e.target.value.length == 5) e.target.value = e.target.value + "/";
    }
})


$(document).ready(function() {
  $(window).keydown(function(event){
    if(event.keyCode == 13) {
      event.preventDefault();
      return false;
    }
  });
});
	
</script>